## wadc 2.1+git3aac3015

=== Makefile ===
# A very basic regression-check suite for WadC. Drop test .wl files in here
# and you can see if the output WAD changes. Managing whether it *should*
# have changed is left up to you.

# hint: md5sha1sum via brew for OS X

JAR  := target/wadc-2.1.jar
WADS := $(patsubst %.wl,%.wad, $(wildcard examples/*.wl) $(wildcard tests/*.wl))

default: check

check:
	sha1sum -b -c sha1sums

wads: $(WADS)

%.wad : %.wl
	java -cp $(JAR) org.redmars.wadc.WadCCLI -nosrc "$<"

# this should not be automatically re-generated so it should not appear as
# a dependency in any other rules. To be run by hand by someone who is very
# confident they haven't broken WadC at the time they run it :)
sha1sums: $(WADS)
	sha1sum -b $(WADS) > "$@"

clean:
	rm -f $(WADS)

# helpers for the tutorial
TUTORIALWADS := $(patsubst %.wl,%.wad, $(wildcard doc/tutorial/*.wl))
tutorial: $(TUTORIALWADS)

.PHONY: default clean check wads tutorial

=== debian/changelog ===
wadc (2.1+git3aac3015-2) unstable; urgency=low

  * Correct omissions in debian/copyright

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 10 Oct 2016 07:08:43 +0100

wadc (2.1+git3aac3015-1) unstable; urgency=low

  * Initial release (Closes: #395364)

 -- Jonathan Dowland <jmtd@debian.org>  Fri, 30 Sep 2016 17:09:07 +0100

=== debian/control ===
Source: wadc
Section: utils
Priority: optional
Maintainer: Jonathan Dowland <jmtd@debian.org>
Build-Depends: debhelper (>= 9),
               default-jdk-headless (>= 2:1.8),
               maven-debian-helper (>= 2.1),
               dh-exec
Standards-Version: 3.9.8
Vcs-Git: https://github.com/jmtd/wadc -b debian
Vcs-Browser: https://github.com/jmtd/wadc
Homepage: https://jmtd.net/wadc/

Package: wadc
Architecture: all
Depends: openjdk-8-jre | java8-runtime, ${maven:Depends}, ${misc:Depends}, jarwrapper
Recommends: freedoom | doom-wad | boom-wad | game-data-packager,
            prboom-plus | boom-engine | doom-engine,
            glbsp, ${java:Recommends}
Suggests: ${maven:OptionalDepends}
Description: programming environment for creating Doom maps
 WadC (Wad Compiler) is an Integrated Development Environment and
 functional programming language for developing Doom-engine maps.
 It can be used to generate complex levels which can be saved in
 Doom's WAD format.
 .
 The IDE includes a text-editor component; a debug output
 pane and a 2D drawing pane which previews the current
 script's output. Also included is an experimental command line
 interface, wadccli.
 .
 An external nodes builder (such as glbsp) is required before
 the resulting WAD file can be played by a doom-engine.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
version := $(shell dpkg-parsechangelog -S Version | cut -d- -f1)
mainver := $(shell echo $(version) | cut -d+ -f1)
mvnrepo := debian/wadc/usr/share/maven-repo

%:
	dh $@ --buildsystem=maven

override_dh_auto_build:
	echo git.commit.id.describe=v$(version) > src/main/resources/git.properties
	dh_auto_build --buildsystem=maven

override_dh_auto_clean:
	dh_auto_clean --buildsystem=maven
	rm -f src/main/resources/git.properties

override_dh_auto_install:
	dh_auto_install --buildsystem=maven
	# workarounds for maven-debian-helper being ...weird
	mv $(mvnrepo)/org/redmars/wadc/wadc/$(mainver)/wadc-$(mainver).jar debian/wadc/usr/share/wadc/wadc.jar
	rm $(mvnrepo)/org/redmars/wadc/wadc/$(mainver)/wadc-$(mainver).pom
	rm -r $(mvnrepo)
	chmod +x debian/wadc/usr/share/wadc/wadc.jar

## wadc 2.2

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # hint: md5sha1sum via brew for OS X
 
-JAR  := target/wadc-2.1.jar
+JAR  := target/wadc-2.2.jar
 WADS := $(patsubst %.wl,%.wad, $(wildcard examples/*.wl) $(wildcard tests/*.wl))
 
 default: check

=== gallery/Makefile ===
EXAMPLES := $(filter-out %lisp.wl,$(filter-out %choz.wl,$(wildcard ../examples/*wl)))
MAPS     := $(addprefix img/map_, $(addsuffix .png, $(basename $(notdir $(EXAMPLES)))))
PWD      := $(shell pwd)
JAR      := ../target/wadc-2.2.jar
OMGIFOLD := $(HOME)/git/doom/omgifol

default: index.html $(MAPS)

img/map_%.png: wads/%.wad img
	$(eval LABEL:=$(shell if ! lswad $< | grep -o -m1 '^   MAP..' ; then lswad $< | grep -o -m1 '^    E.M.'; fi))
	cd $(OMGIFOLD)/demo && python drawmaps.py $(PWD)/$< $(LABEL) 800 png
	mv $(OMGIFOLD)/demo/$(LABEL)_map.png $@

# WadCCLI limitation: writes out adjacent to .wl, not $PWD
wads/%.wl: ../examples/%.wl wads
	cp $< $@

wads/%.wad: wads/%.wl wads
	java -cp $(JAR) org.redmars.wadc.WadCCLI $<
	glbsp $@ -o $@

index.html: examples.adoc $(MAPS)
	asciidoctor examples.adoc -o $@

examples.adoc: examples.adoc.in build-index.sh $(EXAMPLES) $(MAPS)
	./build-index.sh > examples.adoc

wads:
	mkdir -p wads

img:
	mkdir -p img

clean:
	rm -rf index.html examples.adoc wads
	-rmdir img

# this should preserve wads/*.wad etc.
.SECONDARY:

.PHONY: clean default

=== debian/changelog ===
wadc (2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 13 Nov 2017 15:31:35 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Build-Depends: debhelper (>= 9),
                default-jdk-headless (>= 2:1.8),
                maven-debian-helper (>= 2.1),
-               dh-exec
+               dh-exec,
+               asciidoctor
 Standards-Version: 3.9.8
 Vcs-Git: https://github.com/jmtd/wadc -b debian
 Vcs-Browser: https://github.com/jmtd/wadc

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,18 @@
 %:
 	dh $@ --buildsystem=maven
 
-override_dh_auto_build:
+ADOCS = $(wildcard doc/*.adoc)
+DOCS  = $(subst .adoc,.html, $(ADOCS))
+
+doc/%.html: doc/%.adoc
+	asciidoctor $<
+
+override_dh_auto_build: $(DOCS)
 	echo git.commit.id.describe=v$(version) > src/main/resources/git.properties
 	dh_auto_build --buildsystem=maven
 
 override_dh_auto_clean:
+	rm -f $(DOCS)
 	dh_auto_clean --buildsystem=maven
 	rm -f src/main/resources/git.properties

## wadc 3.0

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,13 @@
 
 # hint: md5sha1sum via brew for OS X
 
-JAR  := target/wadc-2.2.jar
+JAR  := target/wadc-3.0.jar
 WADS := $(patsubst %.wl,%.wad, $(wildcard examples/*.wl) $(wildcard tests/*.wl))
 
 default: check
 
 check:
-	sha1sum -b -c sha1sums
+	sha1sum -c sha1sums
 
 wads: $(WADS)
 
@@ -21,7 +21,7 @@
 # a dependency in any other rules. To be run by hand by someone who is very
 # confident they haven't broken WadC at the time they run it :)
 sha1sums: $(WADS)
-	sha1sum -b $(WADS) > "$@"
+	sha1sum -b $(WADS) | sort -k2 > "$@"
 
 clean:
 	rm -f $(WADS)

=== gallery/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 EXAMPLES := $(filter-out %lisp.wl,$(filter-out %choz.wl,$(wildcard ../examples/*wl)))
 MAPS     := $(addprefix img/map_, $(addsuffix .png, $(basename $(notdir $(EXAMPLES)))))
 PWD      := $(shell pwd)
-JAR      := ../target/wadc-2.2.jar
+JAR      := ../target/wadc-3.0.jar
 OMGIFOLD := $(HOME)/git/doom/omgifol
 
 default: index.html $(MAPS)

=== debian/changelog ===
wadc (3.0-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 14:16:41 +0100

wadc (3.0-1) unstable; urgency=medium

  * New upstream release.
  * Recommend zdbsp instead of glbsp.
  * Update series file to apply 0002-docs-bsp.patch (oops)

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 18 Feb 2019 11:53:18 +0000

wadc (2.2-3) unstable; urgency=medium

  * Switch the default bsp tool from /usr/bin/glbsp to /usr/bin/bsp
  * Switch to recommending a virtual package (bsp) that could be
    satisfied by more than just glbsp (but recommend a glbsp version
    that provides bsp)

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 19 Nov 2018 16:42:52 +0000

wadc (2.2-2) unstable; urgency=medium

  * Adjust dependencies so the default-jre (currently 9) by default
    satisfy the dependency rather than pull in 8 specifically.
    Closes: #894367.
  * Tweak invocation of asciidoctor so the output does not require
    web fonts to be loaded from a network connection (privacy)

 -- Jonathan Dowland <jmtd@debian.org>  Fri, 30 Mar 2018 18:52:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Jonathan Dowland <jmtd@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: asciidoctor,
+               debhelper (>= 9),
                default-jdk-headless (>= 2:1.8),
-               maven-debian-helper (>= 2.1),
                dh-exec,
-               asciidoctor
+               maven-debian-helper (>= 2.1)
 Standards-Version: 3.9.8
 Vcs-Git: https://github.com/jmtd/wadc -b debian
 Vcs-Browser: https://github.com/jmtd/wadc
@@ -14,10 +14,14 @@
 
 Package: wadc
 Architecture: all
-Depends: openjdk-8-jre | java8-runtime, ${maven:Depends}, ${misc:Depends}, jarwrapper
+Depends: default-jre (>= 2:1.8) | java8-runtime,
+         jarwrapper,
+         ${maven:Depends},
+         ${misc:Depends}
 Recommends: freedoom | doom-wad | boom-wad | game-data-packager,
             prboom-plus | boom-engine | doom-engine,
-            glbsp, ${java:Recommends}
+            zdbsp | doom-node-builder,
+            ${java:Recommends}
 Suggests: ${maven:OptionalDepends}
 Description: programming environment for creating Doom maps
  WadC (Wad Compiler) is an Integrated Development Environment and

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 DOCS  = $(subst .adoc,.html, $(ADOCS))
 
 doc/%.html: doc/%.adoc
-	asciidoctor $<
+	asciidoctor -a 'webfonts!' $<
 
 override_dh_auto_build: $(DOCS)
 	echo git.commit.id.describe=v$(version) > src/main/resources/git.properties

## wadc 3.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # hint: md5sha1sum via brew for OS X
 
-JAR  := target/wadc-3.0.jar
+JAR  := target/wadc-3.1-jar-with-dependencies.jar
 WADS := $(patsubst %.wl,%.wad, $(wildcard examples/*.wl) $(wildcard tests/*.wl))
 
 default: check
@@ -15,7 +15,7 @@
 wads: $(WADS)
 
 %.wad : %.wl
-	java -cp $(JAR) org.redmars.wadc.WadCCLI -nosrc "$<"
+	java -cp $(JAR) org.redmars.wadc.WadCCLI -nosrc --seed 1337 "$<"
 
 # this should not be automatically re-generated so it should not appear as
 # a dependency in any other rules. To be run by hand by someone who is very

=== gallery/Makefile ===
EXAMPLES := $(wildcard ../examples/*wl)
MAPS     := $(addprefix img/map_, $(addsuffix .png, $(basename $(notdir $(EXAMPLES)))))
PWD      := $(shell pwd)
JAR      := ../target/wadc-3.0.jar

# this is 14:640ff208d353 tip https://bitbucket.org/alexmax2742/omgifol
# does not support Hexen format maps
#OMGIFOLD := $(HOME)/git/doom/omgifol
#OMGISUFX := _map
# this is 582da975f078d0a9e559cda8a35225214203104e git@github.com:devinacker/omgifol.git
OMGIFOLD := /data/git/doom/omgifol
OMGISUFX := _map

default: index.html $(MAPS)

img/map_%.png: wads/%.wad img
	$(eval LABEL:=$(shell if ! lswad $< | grep -o -m1 '^MAP..' ; then lswad $< | grep -o -m1 '^E.M.'; fi))
	cd $(OMGIFOLD)/demo && python drawmaps.py $(PWD)/$< $(LABEL) 800 png
	mv $(OMGIFOLD)/demo/$(LABEL)$(OMGISUFX).png $@

# WadCCLI limitation: writes out adjacent to .wl, not $PWD
wads/%.wl: ../examples/%.wl wads
	cp $< $@

wads/%.wad: wads/%.wl wads
	java -cp $(JAR) org.redmars.wadc.WadCCLI $<
	zdbsp $@ -o $@

index.html: examples.adoc $(MAPS)
	asciidoctor examples.adoc -o $@

examples.adoc: examples.adoc.in build-index.sh $(EXAMPLES) $(MAPS)
	./build-index.sh > examples.adoc

wads:
	mkdir -p wads

img:
	mkdir -p img

clean:
	rm -rf index.html examples.adoc wads $(MAPS)
	-rmdir img

# this should preserve wads/*.wad etc.
.SECONDARY:

.PHONY: clean default

=== debian/changelog ===
wadc (3.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Use canonical URL in Vcs-Git.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on default-jdk-headless and
      maven-debian-helper.
    + wadc: Drop versioned constraint on default-jre in Depends.

  [ Jonathan Dowland ]
  * New upstream version
    * explicit dependency on libpicocli-java as we rely on the API
      from 4.x onwards
  * Replace glbsp reference in long-description with zdbsp
    * replace default node-builder in properties file with zdbsp
  * Remove git-commit-id-plugin from Maven pom. For the Debian build
    we generate the git.properties file using debian/rules instead.
    Adjust the version we generate to indicate the Debian package.
  * Bump standards version

 -- Jonathan Dowland <jmtd@debian.org>  Thu, 22 Sep 2022 23:04:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Priority: optional
 Maintainer: Jonathan Dowland <jmtd@debian.org>
 Build-Depends: asciidoctor,
-               debhelper (>= 9),
-               default-jdk-headless (>= 2:1.8),
+               debhelper-compat (= 12),
+               default-jdk-headless,
                dh-exec,
-               maven-debian-helper (>= 2.1)
-Standards-Version: 3.9.8
-Vcs-Git: https://github.com/jmtd/wadc -b debian
+               maven-debian-helper
+Standards-Version: 4.6.1
+Vcs-Git: https://github.com/jmtd/wadc.git -b debian
 Vcs-Browser: https://github.com/jmtd/wadc
 Homepage: https://jmtd.net/wadc/
 
 Package: wadc
 Architecture: all
-Depends: default-jre (>= 2:1.8) | java8-runtime,
+Depends: default-jre | java8-runtime,
          jarwrapper,
+         libpicocli-java (>= 4.6.1),
          ${maven:Depends},
          ${misc:Depends}
 Recommends: freedoom | doom-wad | boom-wad | game-data-packager,
@@ -34,5 +35,5 @@
  script's output. Also included is an experimental command line
  interface, wadccli.
  .
- An external nodes builder (such as glbsp) is required before
+ An external nodes builder (such as zdbsp) is required before
  the resulting WAD file can be played by a doom-engine.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/pkg-info.mk
 export DH_VERBOSE=1
-version := $(shell dpkg-parsechangelog -S Version | cut -d- -f1)
-mainver := $(shell echo $(version) | cut -d+ -f1)
+mainver := $(shell echo $(DEB_VERSION) | sed 's/[+-].*//')
 mvnrepo := debian/wadc/usr/share/maven-repo
 
 %:
@@ -15,7 +15,7 @@
 	asciidoctor -a 'webfonts!' $<
 
 override_dh_auto_build: $(DOCS)
-	echo git.commit.id.describe=v$(version) > src/main/resources/git.properties
+	echo git.commit.id.describe="v$(DEB_VERSION) (Debian)" > src/main/resources/git.properties
 	dh_auto_build --buildsystem=maven
 
 override_dh_auto_clean:
